basket (2.50.90+git20260505.19c7657-1) experimental; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * New upstream git snapshot (2.50.90+git20260505.19c7657).
  * Drop obsolete patches.
  * Update build-deps and deps with the info from cmake.
  * Remove inactive uploaders.
  * Drop Priority: optional, not needed anymore since dpkg 1.22.13.
  * Switch to declarative KF6 debhelper build sequence.
  * Update the list of installed files.
  * Build with hardening=+all build hardening flag.
  * Switch to declarative debhelper-compat, bump version from 9 to 13.
  * Switch to pkgconf instead of deprecated pkg-config.
  * Refresh lintian overrides.
  * Remove .so link for private lib.
  * Switch to debian/watch format version 5, point to invent git repo
    until basket gets a proper release.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 07 May 2026 07:50:58 +0200

basket (2.49-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with CMake 4. (Closes: #1112720)
  * Add patch from Andreas Metzler to restore gpgme integration.
    (Closes: #1024475)

 -- Adrian Bunk <bunk@debian.org>  Fri, 17 Oct 2025 19:14:48 +0300

basket (2.49-1) unstable; urgency=medium

  * New release (2.49):
    - Port to Frameworks 5/Qt 5 (Closes: #874829).
  * Remove the reference to a specific environment from the description
  * Add patch from FreeBSD to correctly install the MIME type integration
    (apparently a regression from the kdelibs 4.x):
    - 01-fix-mimetype-installation.patch
  * Update the watch file.

 -- Luigi Toscano <luigi.toscano@tiscali.it>  Tue, 20 Aug 2019 21:55:23 +0200

basket (2.11~beta+git20180715.058ce7a-1) unstable; urgency=medium

  [ Luigi Toscano ]
  * New git snapshot:
    - Bump version number, still use a git snapshot with additional fixes.
  * Update few metadata (URLs, emails):
    - maintainer list address (list.alioth->alioth-lists);
    - Vcs-Git/Vcs-Url (from alioth to salsa);
    - homepage (not a KDE project for a while).
  * Remove the dependency on libsoprano-dev (Closes: #903751).
    - not used anymore (no Nepomuk integration).
      Thanks Pino Toscano for the patch.
  * Various clean ups:
    - remove the trailing spaces from few packaging files
      (changelog, control, copyright, watch);
    - replace tabs with spaces in the copyright file;
    - run wrap-and-sort;
    - fix a typo in the copyright file.
  * Bump Standards-Version to 4.3.0, no changes required.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Remove last empty line in changelog as lintian detects it as a trailing
    space.

 -- Luigi Toscano <luigi.toscano@tiscali.it>  Mon, 28 Jan 2019 22:46:57 -0300

basket (2.10~beta+git20160425.b77687f-1) unstable; urgency=medium

  * New git snapshot:
    - Fix reproducibility by removing a timestamp; thanks to
      Alexis Bienvenüe for the patch (Closes: #819921)
  * Drop patch 14_update_es_po.diff, included upstream.
  * The new snapshot code includes fix for spelling errors spotted by
    lintian and further GCC 6 fixes.
  * Bump standards version to 3.9.8. No changes required.

 -- Luigi Toscano <luigi.toscano@tiscali.it>  Tue, 26 Apr 2016 00:56:04 +0200

basket (2.10~beta+git20160305.487a115-1) unstable; urgency=medium

  * New git snapshot:
    - Fix build with GCC 6 (Closes: #811623).
  * Update standards version to 3.9.7. No changes required.
  * Remove menu file, no more needed as the .desktop file is provided.
  * control file: switch Vcs-{Browser,Git} to their secure counterpart
    (https).

 -- Luigi Toscano <luigi.toscano@tiscali.it>  Sun, 06 Mar 2016 20:37:21 +0100

basket (2.10~beta+git20150905.faa6dce-1) unstable; urgency=medium

  * New git snapshot.
  * Switch to a proper versioning schema (<date>.<gitsnapshot>).
  * Add explicit dependency on shared-mime-info, which was most likely
    implicitly dragged in by some other dependency in the past, and
    also on libsoprano-dev, which was installed by kdelibs5-dev
    (Closes: #796415, #773779).
  * Drop patch 20-Remove-root-XML-tag-from-application-x-basket-item.patch,
    included upstream.
  * Remove TODO from documentation (not user oriented).

 -- Luigi Toscano <luigi.toscano@tiscali.it>  Sun, 06 Sep 2015 00:07:53 +0200

basket (2.10~beta+git6fed731-1) unstable; urgency=medium

  * New git snapshot: drop patches included upstream:
    - 19a-cmake-fix-installation-of-XDG-mimetypes-XML.patch
    - 19b-cmake-remove-installation-of-basket.desktop-using-xd.patch
  * Refresh patch: 14_update_es_po.
  * Add patch to fix MIME XML:
    - 20-Remove-root-XML-tag-from-application-x-basket-item.patch
  * The debian repository is on git, Vcs-Svn has been replaced by Vcs-Git
    and Vcs-Browser has been updated.
  * Update standard version to 3.9.6. No changes required.
  * Update manpage (authors, bug address, version, application name, typos).
  * Add explicit build dependency to kdelibs5-dev, it seems it helps with
    using the dummy phonon backend during compilation.
  * Add compiler flags to enable as-needed linking.
  * Remove README.source, mostly outdated.
  * Upload to unstable.

 -- Luigi Toscano <luigi.toscano@tiscali.it>  Sun, 19 Oct 2014 21:49:04 +0200

basket (2.10~beta-1) experimental; urgency=medium

  [ Mark Purcell ]
  * debian/control add Vcs: headers
  * Add myself to Uploaders:
  * debian/compat -> 9

  [ Luigi Toscano ]
  * New upstream version: 2.10~beta.
  * Updated copyright, watch, *.install, basket.docs files.
  * Fix Vcs-Svn header in debian/control.
  * Update standard version to 3.9.5. No changes required.
  * Add required dependency to pkg-config.
  * Remove patch: 18_no_kde3_libs (obsolete).
  * Add patches to properly install XDG files (thanks Pino):
    - 19a-cmake-fix-installation-of-XDG-mimetypes-XML.patch
    - 19b-cmake-remove-installation-of-basket.desktop-using-xd.patch
  * Update lintian overrides.

 -- Luigi Toscano <luigi.toscano@tiscali.it>  Sun, 20 Jul 2014 16:26:33 +0200

basket (1.81-3) unstable; urgency=low

  * Split arch-independent data into basket-data package.
    - add basket.install and basket-data.install; rename docs and menu to
      basket.docs and basket.menu respectively; adapt control file.
    - as a consequence, simplify rules by removing override_dh_auto_install
      and the variables used by that section; it was needed to remove one
      symbolic link which is not included in the *.install files anymore.
  * Add override no-symbols-control-file (libbasketcommon is private).
  * Change order of parameters of dh command in rules file to be
    compatible with debhelper>7.
  * Fix day of the week in previous changelog entry.

 -- Luigi Toscano <luigi.toscano@tiscali.it>  Thu, 05 Apr 2012 01:50:31 +0200

basket (1.81-2) unstable; urgency=high

  [ Luigi Toscano ]
  * Update standard version to 3.9.3. No changes required.
  * Add support for parallel build.
  * Add watch file.
  * Fix lintian warnings (description-synopsis-starts-with-article,
    manpage-has-bad-whatis-entry).
  * Add DEP-3 headers to 14_update_es_po.
  * Fix "experimental" instead of "unstable" in the previous changelog entry.
  * Urgency set to high to fix a RC bug (closes: #587544).
  * Upload to unstable.

 -- Luigi Toscano <luigi.toscano@tiscali.it>  Sat, 31 Mar 2012 17:44:05 +0200

basket (1.81-1) experimental; urgency=low

  [ Luigi Toscano ]
  * New upstream release.

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Fri, 08 Oct 2010 16:53:44 +0200

basket (1.80-1) unstable; urgency=low

  * New upstream release.

  [ Luigi Toscano ]
  * Cleanup the build system, switch to debhelper 7 and "3.0 (quilt)" format.
  * Remove patches:
    - 03_lib_link, 04_am_maintainer_mode,
      05_allow_newer_automake_and_autoconf, 06_autoconf2.64:
      no more needed (new build system);
    - 12_desktop, 13_add_da.po, 16_basket_kontact_compat,
      17_mimetype: merged upstream;
    - 15_fix_gcc4.3: no more needed.
  * Refresh patch: 14_update_es_po.
  * Add patch: 18_no_kde3_libs (only Q3Support is needed, not kde3support)
  * Update copyright, bump Standards-Version to 3.8.4
  * Rename README.Debian as README.source.
  * Add lintian-overrides file.
  * Add myself to Uploaders.

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Sun, 30 May 2010 20:55:54 +0200

basket (1.0.2-8) unstable; urgency=low

  * Hack around autoconf2.64 changes. More hacks. Thanks to pld-linux.
  * Allow automake 1.11 usage. and 1.12. and 1.13. and...
    (Closes: #543095)
  * Adapt to new menu structure. (Closes: 496058)
  * Add ; to desktop file. (Closes: 507803)

 -- Sune Vuorela <debian@pusling.com>  Tue, 01 Sep 2009 21:25:53 +0200

basket (1.0.2-7) unstable; urgency=low

  * Hack around teh libtool changes. Now builds. But kind of a hack.
    (Closes: #527814)

 -- Sune Vuorela <debian@pusling.com>  Sat, 09 May 2009 12:12:02 +0200

basket (1.0.2-6) unstable; urgency=low

  * Yay for Lenny. Remove kontact plugin.

 -- Sune Vuorela <debian@pusling.com>  Sun, 15 Feb 2009 12:15:01 +0100

basket (1.0.2-5) unstable; urgency=low

  * Also allow automake 1.10 usage - and just build-dep on automake i
    (Closes: #487981)
  * Bye bye ana

 -- Sune Vuorela <debian@pusling.com>  Wed, 25 Jun 2008 20:11:23 +0200

basket (1.0.2-4) unstable; urgency=low

  * Split kontact integration out to a separate package, so basket can be used
    without kde3-kontact installed. Useful in a kde4 environment.

 -- Sune Vuorela <debian@pusling.com>  Sun, 25 May 2008 21:08:36 +0200

basket (1.0.2-3) unstable; urgency=low

  +++ Changes by Sune Vuorela:

  * Relibtoolize on build. much easier. This also fixes double build(Closes: #442503)
  * Fix kontact integration (Closes: #469596)
  * Remove watch file (Closes: #449699)
  * Build against kontact that is fixed concerning third party plugins

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Tue, 11 Mar 2008 23:39:35 +0100

basket (1.0.2-2) unstable; urgency=low

  [ Ana Beatriz Guerrero Lopez ]
  * Apply patch to fix FTBFS with GCC 4.3. Thanks to Martin Michlmayr.
    (Closes: #421209)

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Tue, 29 May 2007 12:47:58 +0100

basket (1.0.2-1) unstable; urgency=low

  [ Sune Vuorela ]
  * Add da.po as debian/patches/13_add_da.po.diff. Thanks to Martin Schlander.

  [ Ana Beatriz Guerrero Lopez ]
  * Add 14_update_es_po.diff updating spanish translation. Thanks to Enrique Matías.
  * Buildprep.

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Tue, 24 Apr 2007 16:37:48 +0100

basket (1.0.1-1) experimental; urgency=low

  * New upstream release.
  * Fix offset patch 12_desktop.diff

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Thu, 29 Mar 2007 13:32:00 +0000

basket (1.0-1) experimental; urgency=low

  * New upstream version.
    - final 1.0 version.
  * The ana-please-pass-your-exam-this-is-your-miracle release.

 -- Sune Vuorela <debian@pusling.com>  Sun, 11 Feb 2007 12:35:24 +0100

basket (1.0~rc2-1) experimental; urgency=low

  * New upstream release:
    - Removed 10_dont_spam_stderr and 11_match_kde3.5.6_kontact,
      merged upstream.
    - Fixed offset patch 12_desktop.diff.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Mon,  5 Feb 2007 05:05:50 +0100

basket (1.0~beta3-1) experimental; urgency=low

  * New upstream version. (Closes: #395900)
  * Package now maintained by the Debian KDE Extras Team.

  [ Ana Beatriz Guerrero Lopez ]
  * Remove unnecessary file debian/Makefile.
  * Update compat to 5.
  * Bumped Standards-Version to 3.7.2, no changes required.
  * Update dep on kdebase-dev to kdelibs4-dev.
  * Add build-dep on kdepim-dev to get kontact integration.
  * Add build-dep on libgpgme11-dev to support encryption.
  * Package description:
    - Change short description.
    - Add basket's homepage.
  * Not install empty file NEWS.
  * Rewrite debian/rules file.
  * Improve debian/copyright file.
  * Versioned build-deps in kdelibs4-dev and kdepim-dev to build against 3.5.6
    (so Sune's changes will work).
  * Patched desktop file to include Categories and moved to right place.

  [ Sune Vuorela ]
  * Add quilt to build-dep - we better need a patch system. This also required
    changes to rules.
  * Add a 10_dont_spam_stderr patch to not be that verbose on stderr. It uses
    kdDebug() now to report those.
  * Add a 11_match_kde3.5.6_kontact patch to make the kontact plugin work with
    kontact 3.5.6 - kdepim people have bumped their internal versionings.
  * Write new and improved manpage (Derived from help2man). (Closes: #405569)
  * Improve copyright file.
  * Minor changes to rules file.
  * Relibtoolization - and a need to fix parts of the build system.
    (New libtool put in thru patch 02, patch 03 fixes build system relying on
    broken libtool and the big buildprep as patch 98.

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Sat, 03 Feb 2007 07:41:48 +0100

basket (0.5.0-6) unstable; urgency=low

  * Acknowledge NMU. Thanks!
    Nothing more to be done (at least until upstream releases 0.6)

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Thu, 11 May 2006  1:08:16 +0200

basket (0.5.0-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Added -Wl,--as-needed as ldflags (Closes: #349480)
  * Trimmed build-depends to not include stuff from
    kdebase dependency line

 -- Sune Vuorela <debian@pusling.com>  Fri, 21 Apr 2006 21:25:43 +0000

basket (0.5.0-5) unstable; urgency=low

  * Fix crash on cutting multiline item (Closes: #339874)

  * Package sponsored by Roberto Lumbreras <rover@debian.org>

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Fri, 25 Nov 2005 19:57:15 +0100

basket (0.5.0-4) unstable; urgency=low

  * Fix FTBFS on 64-bit arches (Closes: #300176)

  * Package sponsored by Roberto Lumbreras <rover@debian.org>

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Tue, 18 Oct 2005 21:53:01 +0200

basket (0.5.0-3) unstable; urgency=low

  * Force rebuild, due to C++ ABI transition (Closes: #327944)
    - remove dependency on deprecated libjack0.80(Closes: #317184)

  * Fix KDE htmldir; properly install doc (Closes: #322192)

  * Package sponsored by Roberto Lumbreras <rover@debian.org>

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Wed, 14 Sep 2005 02:35:13 +0200

basket (0.5.0-2) unstable; urgency=low

  * Force relink -- dependency to removed lib (Closes: #317184)

  * Localization: updated DE translation (Closes: #313671)

  * Package sponsored by Roberto Lumbreras <rover@debian.org>

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Sat, 12 Mar 2005 20:30:13 +0100

basket (0.5.0-1) unstable; urgency=low

  * New upstream release. Major rewrite, tons of new features.

  * Fix menu file (Closes: #283375)

  * Package sponsored by Roberto Lumbreras <rover@debian.org>

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Sat, 12 Mar 2005 20:30:13 +0100

basket (0.4.0d-1) unstable; urgency=low

  * Initial Packaging. Fullfill ITP (Closes: #259180)

  * Package sponsored by Roberto Lumbreras <rover@debian.org>

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Sat, 23 Oct 2004 02:21:16 +0200
